<?php
//Incluimos conexion a la base de trader_cdlrisefall3methods
require "../config/Conexion.php";

Class Caja
{
  //Implementando nuestro constructor
  public function __construct()
  {


  }
      public function insertar($descripcion,$idusuario) {
        $sql = "INSERT INTO caja (descripcion, idusuario) 
                VALUES ('$descripcion', '$idusuario')";
        return ejecutarConsulta($sql);
    }

    // Método para editar
    public function editar($idcaja, $descripcion,$idusuario) {
        $sql = "UPDATE caja SET 
                descripcion = '$descripcion', 
                idusuario = '$idusuario'                 
                WHERE idcaja = '$idcaja'";
        return ejecutarConsulta($sql);
    }

    public function listarcaja()
    {
      $sql="SELECT c.idcaja,c.descripcion,u.nombre as usuario  FROM caja c join usuario u on c.idusuario=u.idusuario  ";
      return ejecutarConsulta($sql);

    }

    public function mostrar($idcaja)
    {
      $sql="SELECT * FROM caja where idcaja='$idcaja'";
      return ejecutarConsultaSimpleFila($sql);

    }

    //Implementamos un metodo para eliminar registro
    public function eliminar($idcaja)
    {
      $sql="DELETE FROM caja where idcaja='$idcaja'";
      return ejecutarConsulta($sql);
    }

    

  }

 ?>